{{ $appSection := "webMigration" -}}
{{ $appName := (index . "Values" $appSection "name") -}}
{{- if index . "Values" $appSection "enabled" -}}
apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ $appName }}
  labels:
    app.kubernetes.io/name: {{ $appName }}
    {{- include "lkod.labels" . | nindent 4 }}
  annotations:
    {{- include "lkod.annotations" . | nindent 4 }}
spec:
  replicas: 1
  selector:
    matchLabels:
      app.kubernetes.io/name: {{ $appName }}
      {{- include "lkod.selectorLabels" . | nindent 6 }}
  template:
    metadata:
      labels:
        app.kubernetes.io/name: {{ $appName }}
        {{- include "lkod.labels" . | nindent 8 }}
        {{- if .Values.podLabels }}
        {{- include "common.tplvalues.render" ( dict "value" .Values.podLabels "context" $ ) | nindent 8 }}
        {{- end }}
      annotations:
        {{- include "lkod.annotations" . | nindent 8 }}
        {{- if (index . "Values" $appSection "podAnnotations") }}
        {{- include "common.tplvalues.render" ( dict "value" (index . "Values" $appSection "podAnnotations") "context" $ ) | nindent 8 }}
        {{- end }}
    spec:
      automountServiceAccountToken: false
      {{- include "lkod.imagePullSecrets" (list . .Values.global.imagePullSecrets ) | nindent 6 }}
      containers:
        - name: {{ $appName }}
          image: {{ include "lkod.imageName" (list . $appSection) | quote }}
          imagePullPolicy: {{ .Values.global.pullPolicy }}
          ports:
            - containerPort: {{ index . "Values" $appSection "port" }}
          env:
            - name: ENV
              value: "PRODUCTION"
            - name: SECRET_KEY
              value: {{ randAlphaNum 10 | quote }}
            - name: DEBUG
              value: "False"
          resources:
            {{ index . "Values" $appSection "resources" | toYaml | nindent 12 }}
          securityContext:
            allowPrivilegeEscalation: false
            runAsNonRoot: true
            runAsUser: 1001
            capabilities:
              drop: [ "all" ]
{{/*          readinessProbe: {{include "lkod.readinessProbe" (list . $appSection) | nindent 12 }}*/}}
{{/*          livenessProbe: {{include "lkod.livenessProbe" (list . $appSection) | nindent 12 }}*/}}
{{ end }}
